com.sun.mirror.declaration

## Interface ExecutableDeclaration

- All Superinterfaces:
    Declaration, MemberDeclaration
  All Known Subinterfaces:
    AnnotationTypeElementDeclaration, ConstructorDeclaration, MethodDeclaration

  Deprecated.
  All components of this API have been superseded by the standardized annotation processing API. The replacement for the functionality of this interface is `ExecutableElement`.

      @Deprecated
      public interface ExecutableDeclaration
      extends MemberDeclaration

  Represents a method or constructor of a class or interface.
  Since:
    1.5

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Collection<TypeParameterDeclaration>` | `getFormalTypeParameters()` Deprecated. Returns the formal type parameters of this method or constructor.
    `Collection<ParameterDeclaration>` | `getParameters()` Deprecated. Returns the formal parameters of this method or constructor.
    `Collection<ReferenceType>` | `getThrownTypes()` Deprecated. Returns the exceptions and other throwables listed in this method or constructor's `throws` clause.
    `boolean` | `isVarArgs()` Deprecated. Returns `true` if this method or constructor accepts a variable number of arguments.

    - ### Methods inherited from interface com.sun.mirror.declaration.MemberDeclaration

      `getDeclaringType`

    - ### Methods inherited from interface com.sun.mirror.declaration.Declaration

      `accept, equals, getAnnotation, getAnnotationMirrors, getDocComment, getModifiers, getPosition, getSimpleName`

- - ### Method Detail

    - #### isVarArgs

          boolean isVarArgs()

      Deprecated.
      Returns `true` if this method or constructor accepts a variable number of arguments.
      Returns:
        `true` if this method or constructor accepts a variable number of arguments

    - #### getFormalTypeParameters

          Collection<TypeParameterDeclaration> getFormalTypeParameters()

      Deprecated.
      Returns the formal type parameters of this method or constructor. They are returned in declaration order.
      Returns:
        the formal type parameters of this method or constructor, or an empty collection if there are none

    - #### getParameters

          Collection<ParameterDeclaration> getParameters()

      Deprecated.
      Returns the formal parameters of this method or constructor. They are returned in declaration order.
      Returns:
        the formal parameters of this method or constructor, or an empty collection if there are none

    - #### getThrownTypes

          Collection<ReferenceType> getThrownTypes()

      Deprecated.
      Returns the exceptions and other throwables listed in this method or constructor's `throws` clause.
      Returns:
        the exceptions and other throwables listed in the `throws` clause, or an empty collection if there are none

Copyright © 2004, 2014, Oracle and/or its affiliates. All rights reserved.